"use strict";

const {
  convertCode
} = require('../utilities');

test('weak ref', () => {
  const inputCode = `let obj = { name: "Magiko" }
const myRef = new WeakRef(obj) 
myRef.deref()`;
  const outputCode = `let obj = {
  name: "Magiko"
};
const myRef = new WeakRef(obj);
myRef.deref();`;
  expect(convertCode(inputCode)).toBe(outputCode);
});